unit main;

interface

uses
  SysUtils, Classes, Forms, Controls, StdCtrls, ExtCtrls, Buttons, JHComboBox;

type
  TfmMain = class(TForm)
    mem1: TMemo;
    mem2: TMemo;
    panInfo: TPanel;
    lbInfo: TLabel;
    lbCombo: TLabel;
    Bevel1: TBevel;
    spbtClear: TSpeedButton;
    panValue: TPanel;
    lbValue: TLabel;
    lstbCB1: TListBox;
    lstbCB2: TListBox;
    spbtAdd: TSpeedButton;
    spbtLoad: TSpeedButton;
    spbtSave: TSpeedButton;
    spbtExit: TSpeedButton;
    spbtSort: TSpeedButton;
    panInt: TPanel;
    JHComboBox: TJHComboBox;
    procedure FormCreate(Sender: TObject);
    procedure InfoPrint;
    procedure ValuePrint;
    procedure JHComboBoxChange(Sender: TObject);
    procedure lstbCBClick(Sender: TObject);
    procedure spbtClearClick(Sender: TObject);
    procedure spbtAddClick(Sender: TObject);
    procedure spbtLoadClick(Sender: TObject);
    procedure spbtSaveClick(Sender: TObject);
    procedure spbtExitClick(Sender: TObject);
    procedure spbtSortClick(Sender: TObject);
  private
    { Private declarations }
  public
  end;

var
  fmMain: TfmMain;

implementation
{$R *.dfm}

procedure TfmMain.FormCreate(Sender: TObject);
begin
    InfoPrint;
end;

procedure TfmMain.InfoPrint;
begin
    panInfo.Caption:='Number of records: '+IntToStr(JHComboBox.Count);
    lstbCB1.Clear;
    lstbCB2.Clear;
    lstbCB1.Items.AddStrings(JHComboBox.Items);
    lstbCB2.Items.AddStrings(JHComboBox.ValueList);
end;

procedure TfmMain.ValuePrint;
begin
    panValue.Caption:=JHComboBox.Actual;
    panInt.Caption:='as integer: '+IntToStr(JHComboBox.ActualInt);
end;

procedure TfmMain.JHComboBoxChange(Sender: TObject);
begin
    lstbCB1.ItemIndex:=JHComboBox.ItemIndex;
    lstbCB2.ItemIndex:=JHComboBox.ItemIndex;
    ValuePrint;
end;

procedure TfmMain.lstbCBClick(Sender: TObject);
begin
    lstbCB1.ItemIndex:=(Sender as TListBox).ItemIndex;
    lstbCB2.ItemIndex:=(Sender as TListBox).ItemIndex;
    JHComboBox.ItemIndex:=(Sender as TListBox).ItemIndex;
    ValuePrint;
end;

procedure TfmMain.spbtClearClick(Sender: TObject);
begin
    JHComboBox.Clear;
    InfoPrint;
end;

procedure TfmMain.spbtAddClick(Sender: TObject);
begin
    JHComboBox.Items.AddStrings(mem1.lines);
    JHComboBox.ValueList.AddStrings(mem2.lines);
    InfoPrint;
end;

procedure TfmMain.spbtLoadClick(Sender: TObject);
begin
    JHComboBox.LoadFromFile('test.dat');
    InfoPrint;
end;

procedure TfmMain.spbtSaveClick(Sender: TObject);
begin
    JHComboBox.SaveToFile('test2.dat');
end;

procedure TfmMain.spbtExitClick(Sender: TObject);
begin
    fmMain.Close;
end;

procedure TfmMain.spbtSortClick(Sender: TObject);
begin
    JHComboBox.Sort;
    InfoPrint;
end;

end.
